#!/bin/sh

# this script is used to remove obsolete files after firmware update
# it is run during GSG startup from /etc/rc.d/rc.local
# when adding lines please specify in comment what the line is for

# Remove asw_reboot script as unnecessary, ASW now have the reboot
rm /var/www/cgi-bin/asw_reboot
rm /var/www/cgi-bin/frontpanel_cgi

# Remove unneeded static libraries
rm /usr/lib/libgpstk.a
rm /lib/libNiD*-LI-1.4.a

# Remove old gpstk libs  ASW2.09->ASW2.10/ASW3.0
rm /usr/lib/libgpstk.so.16
rm /usr/lib/libgpstk.so.16.0.0
rm /usr/lib/libprocframe.*
# Do not remove geomatics lib because it is needed by ASW 6.5.1
# rm /usr/lib/libgeomatics.*
rm /usr/lib/libvdraw.*
rm /usr/lib/libvplot.*
# Do not remove rxio lib because it is needed by ASW 6.1.1
rm /usr/lib/librxio.la
rm /usr/lib/librxio.so.22
rm /usr/lib/librxio.so.22.0.0
rm /usr/lib/libgpstk.la
rm /usr/lib/libgpstk.so.22
rm /usr/lib/libgpstk.so.22.0.0

# Remove old GeographicLib ASW6.5.2->ASW6.6.1
rm /usr/lib/libGeographic.so
rm /usr/lib/libGeographic.so.13
rm /usr/lib/libGeographic.so.13.0.0

# Remove old default navigation data, new data is Jan 2011  ASW2.09->ASW2.10/ASW3.0
rm /opt/mm/navigationData/rinex/*.09*

# Remove old default scenarios, ASW2.09->ASW2.10/ASW3.0
rm /opt/mm/scenarios/scen*

# Remove old web front panels, ASW2.09->ASW2.10/ASW3.0
rm /var/www/html/GSG-54Panel.bmp
rm /var/www/html/GSG-55Panel.bmp

# Remove YUMA (never used) files, ASW2.09->ASW2.10/ASW3.0
rm -rf /opt/mm/navigationData/yuma

# Remove possible dummy used when flash image for EA was made
rm /dummy

# Remove old (2011) navigation data, new data is Jan 2012 ASW2.10RC->ASW2.10/ASW3.0
rm /opt/mm/navigationData/rinex/r3/*.11*
rm /opt/mm/navigationData/agl/Topcon_11*

# Remove only first 3 days of Jan 2012 (PEND-777)
rm /opt/mm/navigationData/agl/Topcon_120101.agl
rm /opt/mm/navigationData/agl/Topcon_120102.agl
rm /opt/mm/navigationData/agl/Topcon_120103.agl
rm /opt/mm/navigationData/rinex/r3/brdc0010.12n
rm /opt/mm/navigationData/rinex/r3/brdc0020.12n
rm /opt/mm/navigationData/rinex/r3/brdc0030.12n
rm /opt/mm/navigationData/rinex/r3/brdc0010.12g
rm /opt/mm/navigationData/rinex/r3/brdc0020.12g
rm /opt/mm/navigationData/rinex/r3/brdc0030.12g

# Remove old .r3 files found in navigationData/download folder (PEND-791)
rm /opt/mm/user/navigationData/download/*.r3
rm /opt/mm/user/navigationData/*.r3

# Remove old separate SBAS folders & content
rm -rf /opt/mm/user/navigationData/download/ems
rm -rf /opt/mm/user/navigationData/download/waas

# Remove old scenario defaults, new ones in place since v5.01
rm /opt/mm/scenarios/MP2Static.scen
rm /opt/mm/scenarios/MP4Circle.scen
rm /opt/mm/scenarios/MP4EDCircleHDO.scen
rm /opt/mm/scenarios/MP4EDCircle.scen
rm /opt/mm/scenarios/Simple3GPP.scen
rm /opt/mm/scenarios/SimpleCircle.scen
rm /opt/mm/scenarios/SimpleP3GPP.scen
rm /opt/mm/scenarios/SimplePCircle.scen
rm /opt/mm/scenarios/SimpleStatic.scen
rm /opt/mm/events/EFading1-4.even  
rm /opt/mm/events/EFading1-6.even

# Remove old gpstk libs ASW5.1.13->ASW5.5
rm /usr/lib/libgpstk.so.15
rm /usr/lib/libgpstk.so.15.0.0

# Remove old gpstk libs ASW5.5->ASW6.X.X
rm /usr/lib/libgpstk.so.20
rm /usr/lib/libgpstk.so.20.0.0

# Remove non-GPS default scenarios, PEND-1332 ASW6.1.1-> 
rm /opt/mm/scenarios/GLOStatic.scen
rm /opt/mm/scenarios/GLOCircle.scen
rm /opt/mm/scenarios/GALStatic.scen
rm /opt/mm/scenarios/GALCircle.scen
rm /opt/mm/scenarios/BDSStatic.scen
rm /opt/mm/scenarios/BDSCircle.scen
